< Back to Support Home

Q: Can I use Perfectly Clear Complete V3 with older versions of Photoshop?

A:

Short answer: probably 🙂

We support Photoshop CS6 and all Creative Cloud versions. This means that our installers will automatically find and install our plug-ins into these versions of Photoshop.

You can manually install our PS plug-in into older versions of Photoshop to see if it will work there. This will most likely work with CS5, but as versions get older, the likelihood of Perfectly Clear working Perfectly decreases.

Our Online User Guide explains how to manually install our Photoshop plug-in into other versions of Photoshop or other host applications.

Tweet about this on TwitterShare on FacebookGoogle+Pin on PinterestShare on LinkedInEmail to someone

Do you have more questions?

Our 24/7 support team is ready to help.

Sign up for news, discounts, freebies, and other good stuff!
No Thanks